com.unitech.stuhflBridge

## Class NativeDefines

- java.lang.Object
- - com.unitech.stuhflBridge.NativeDefines

-     public class NativeDefines
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `GBT29768_SORT_MASK_SIZE`
    `static int` | `GEN2_LOCK_MASK_SIZE`
    `static int` | `GEN2_SELECT_MASK_SIZE`
    `static int` | `INVENTORYREPORT_SLOT_INFO_LIST_SIZE`
    `static int` | `STUHFL_D_DEFAULT_FREQUENCY`
    `static int` | `STUHFL_D_FREQUENCY_MAX_VALUE`
    `static int` | `STUHFL_D_GEN2_GENERIC_CMD_MAX_RCV_DATA_BYTES`
    `static int` | `STUHFL_D_GEN2_GENERIC_CMD_MAX_SND_DATA_BYTES`
    `static int` | `STUHFL_D_GEN2_MAXQ`
    `static int` | `STUHFL_D_GEN2_TIMING_USE_DEFAULT_T4MIN`
    `static int` | `STUHFL_D_INVENTORYREPORT_HEART_BEAT_DURATION_MS`
    `static int` | `STUHFL_D_LOG_LEVEL_COUNT`
    `static int` | `STUHFL_D_MAX_ANTENNA`
    `static int` | `STUHFL_D_MAX_BLOCKWRITE_DATA_LEN`
    `static int` | `STUHFL_D_MAX_EPC_LENGTH`
    `static int` | `STUHFL_D_MAX_FREQUENCY`
    `static int` | `STUHFL_D_MAX_PC_LENGTH`
    `static int` | `STUHFL_D_MAX_READ_DATA_LEN`
    `static int` | `STUHFL_D_MAX_REGISTERS`
    `static int` | `STUHFL_D_MAX_TAG_LIST_SIZE`
    `static int` | `STUHFL_D_MAX_TID_LENGTH`
    `static int` | `STUHFL_D_MAX_TIME_LENGTH`
    `static int` | `STUHFL_D_MAX_VERSION_INFO_LENGTH`
    `static int` | `STUHFL_D_MAX_WRITE_DATA_LEN`
    `static int` | `STUHFL_D_MAX_XPC_LENGTH`
    `static int` | `STUHFL_D_NB_C_VALUES`
    `static int` | `STUHFL_D_PASSWORD_LEN`
    `static int` | `STUHFL_D_RESET_DEFAULT_ALL_FREQS`
    `static int` | `STUHFL_D_TUNING_ALGO_ENABLE_FPD`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NativeDefines()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### STUHFL_D_MAX_REGISTERS

          public static final int STUHFL_D_MAX_REGISTERS

      See Also:
        Constant Field Values

    - #### STUHFL_D_MAX_TIME_LENGTH

          public static final int STUHFL_D_MAX_TIME_LENGTH

      See Also:
        Constant Field Values

    - #### STUHFL_D_MAX_VERSION_INFO_LENGTH

          public static final int STUHFL_D_MAX_VERSION_INFO_LENGTH

      See Also:
        Constant Field Values

    - #### STUHFL_D_MAX_TAG_LIST_SIZE

          public static final int STUHFL_D_MAX_TAG_LIST_SIZE

      See Also:
        Constant Field Values

    - #### STUHFL_D_MAX_EPC_LENGTH

          public static final int STUHFL_D_MAX_EPC_LENGTH

      See Also:
        Constant Field Values

    - #### STUHFL_D_MAX_XPC_LENGTH

          public static final int STUHFL_D_MAX_XPC_LENGTH

      See Also:
        Constant Field Values

    - #### STUHFL_D_MAX_TID_LENGTH

          public static final int STUHFL_D_MAX_TID_LENGTH

      See Also:
        Constant Field Values

    - #### STUHFL_D_MAX_PC_LENGTH

          public static final int STUHFL_D_MAX_PC_LENGTH

      See Also:
        Constant Field Values

    - #### STUHFL_D_GEN2_MAXQ

          public static final int STUHFL_D_GEN2_MAXQ

      See Also:
        Constant Field Values

    - #### STUHFL_D_MAX_FREQUENCY

          public static final int STUHFL_D_MAX_FREQUENCY

      See Also:
        Constant Field Values

    - #### STUHFL_D_NB_C_VALUES

          public static final int STUHFL_D_NB_C_VALUES

      See Also:
        Constant Field Values

    - #### STUHFL_D_MAX_ANTENNA

          public static final int STUHFL_D_MAX_ANTENNA

      See Also:
        Constant Field Values

    - #### STUHFL_D_PASSWORD_LEN

          public static final int STUHFL_D_PASSWORD_LEN

      See Also:
        Constant Field Values

    - #### STUHFL_D_MAX_READ_DATA_LEN

          public static final int STUHFL_D_MAX_READ_DATA_LEN

      See Also:
        Constant Field Values

    - #### STUHFL_D_MAX_WRITE_DATA_LEN

          public static final int STUHFL_D_MAX_WRITE_DATA_LEN

      See Also:
        Constant Field Values

    - #### STUHFL_D_MAX_BLOCKWRITE_DATA_LEN

          public static final int STUHFL_D_MAX_BLOCKWRITE_DATA_LEN

      See Also:
        Constant Field Values

    - #### GEN2_SELECT_MASK_SIZE

          public static final int GEN2_SELECT_MASK_SIZE

      See Also:
        Constant Field Values

    - #### GEN2_LOCK_MASK_SIZE

          public static final int GEN2_LOCK_MASK_SIZE

      See Also:
        Constant Field Values

    - #### STUHFL_D_GEN2_GENERIC_CMD_MAX_SND_DATA_BYTES

          public static final int STUHFL_D_GEN2_GENERIC_CMD_MAX_SND_DATA_BYTES

      See Also:
        Constant Field Values

    - #### STUHFL_D_GEN2_GENERIC_CMD_MAX_RCV_DATA_BYTES

          public static final int STUHFL_D_GEN2_GENERIC_CMD_MAX_RCV_DATA_BYTES

      See Also:
        Constant Field Values

    - #### GBT29768_SORT_MASK_SIZE

          public static final int GBT29768_SORT_MASK_SIZE

      See Also:
        Constant Field Values

    - #### INVENTORYREPORT_SLOT_INFO_LIST_SIZE

          public static final int INVENTORYREPORT_SLOT_INFO_LIST_SIZE

      See Also:
        Constant Field Values

    - #### STUHFL_D_INVENTORYREPORT_HEART_BEAT_DURATION_MS

          public static final int STUHFL_D_INVENTORYREPORT_HEART_BEAT_DURATION_MS

      See Also:
        Constant Field Values

    - #### STUHFL_D_TUNING_ALGO_ENABLE_FPD

          public static final int STUHFL_D_TUNING_ALGO_ENABLE_FPD

      See Also:
        Constant Field Values

    - #### STUHFL_D_RESET_DEFAULT_ALL_FREQS

          public static final int STUHFL_D_RESET_DEFAULT_ALL_FREQS

      See Also:
        Constant Field Values

    - #### STUHFL_D_FREQUENCY_MAX_VALUE

          public static final int STUHFL_D_FREQUENCY_MAX_VALUE

      See Also:
        Constant Field Values

    - #### STUHFL_D_DEFAULT_FREQUENCY

          public static final int STUHFL_D_DEFAULT_FREQUENCY

      See Also:
        Constant Field Values

    - #### STUHFL_D_GEN2_TIMING_USE_DEFAULT_T4MIN

          public static final int STUHFL_D_GEN2_TIMING_USE_DEFAULT_T4MIN

      See Also:
        Constant Field Values

    - #### STUHFL_D_LOG_LEVEL_COUNT

          public static final int STUHFL_D_LOG_LEVEL_COUNT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### NativeDefines

          public NativeDefines()